%define name dekagen
%define version 1.0.2
%define release %mkrel 4

Summary:   Rips and encodes CD's
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
License:   GPL
Group:     Sound
URL:       http://userpage.fu-berlin.de/~mbayer/tools/dekagen.html
Obsoletes: ripenc
Provides:  ripenc
Buildarch: noarch

%description
The dekagen bourne shell script, formerly known as ripenc, is an interactive 
command line tool, that automates the whole process of ripping data from 
music compact discs (CD), the naming of the files, their converting 
into MP3 or Ogg-Vorbis format and the labelling of the MP3 files 
with an ID3 tag.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%install

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp dekagen ${RPM_BUILD_ROOT}%{_bindir}
gunzip dekagen.1.gz
cp dekagen.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CHANGES INSTALL CREDITS README
%_bindir/*
%_mandir/man1/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-4mdv2009.0
+ Revision: 244026
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-2mdv2008.1
+ Revision: 123762
- kill re-definition of %%buildroot on Pixel's request
- import dekagen


* Tue Jan 03 2006 Lenny Cartier <lenny@mandriva.com> 1.0.2-2mdk
- rebuild

* Mon Jul 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Jan 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Oct 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- new
- obsoletes ripenc
